| Home | Libraries | People | FAQ | More

## Struct template pre_dec

boost::proto::pre_dec — A metafunction for generating pre-decrement expression types, a grammar element for matching pre-decrement expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename T>
    struct pre_dec :  proto::transform< pre_dec<T> > {
      // types
      typedef proto::expr< proto::tag::pre_dec, proto::list1< T > >       type;
      typedef proto::basic_expr< proto::tag::pre_dec, proto::list1< T > > proto_grammar;

      // member classes/structs/unions
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<pre_dec>::template impl<Expr, State, Data>
      {
      };
    };

## Description